---
title: "SeLoger API: Search | Perceptlayer"
description: "Search from SeLoger as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/seloger/search
---

[APIs](https://perceptlayer.com/apis) / [SeLoger](https://perceptlayer.com/apis/seloger) / Search

# SeLoger: Search

Search from SeLoger as JSON. 1 credit per successful call.

GET `/v1/seloger/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `place_id` | string | Optional | Any |
| `distribution` | string | Optional | buy, rent |
| `estate_types[]` | list of string | Optional | Apartment, House, Office, Trading, Parking, Building, Plot, Miscellaneous, Storage\_Production, Gastronomy\_Hotel, Agriculture\_Forestry, Project, Senior |
| `new_build` | boolean | Optional | Any |
| `price_min` | integer | Optional | Any |
| `price_max` | integer | Optional | Any |
| `rooms_min` | number | Optional | Any |
| `rooms_max` | number | Optional | Any |
| `size_min` | integer | Optional | Any |
| `year_built_min` | integer | Optional | Any |
| `available_from_max` | string | Optional | Any |
| `keywords` | string | Optional | Up to 120 characters |
| `order` | string | Optional | Default, DateDesc, NumberOfRoomsAsc, NumberOfRoomsDesc, PriceAsc, PriceDesc, PricePerSquareMeterAsc, PricePerSquareMeterDesc, SpaceAsc, SpaceDesc |
| `page` | integer | Optional | Any |
| `per_page` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/seloger/search?place_id=AD08FR31096&distribution=buy&price_max=500000" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/seloger?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
